Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2003:042-1: sendmail


Vulnerability Assessment Details

MDKSA-2003:042-1: sendmail

Vulnerability Assessment Summary
Check for the version of the sendmail package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2003:042-1 (sendmail).


Michal Zalweski discovered a vulnerability in sendmail versions earlier than
8.12.9 in the address parser, which performs insufficient bounds checking in
certain conditions due to a char to int conversion. This vulnerability makes it
poissible for a possible hacker to take control of sendmail and is thought to be
remotely exploitable, and very likely locally exploitable. Updated packages are
available with patches applied (the older versions), and the new fixed version
is available for Mandrake Linux 9.1 users.
Update:
The packages for Mandrake Linux 9.1 and 9.1/PPC were not GPG-signed. This has
been fixed and as a result the md5sums have changed. Thanks to Mark Lyda for
pointing this out.


Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2003:042-1
Network Security Threat Level: High

Networks Security ID: 7230

Vulnerability Assessment Copyright: This script is Copyright (C) 2004 Tenable Network Security

Cables, Connectors

Unlocked PAP2T-NA SIP VOIP Phone Adapter 2 Port Internet Phone EU Adapter D5G7
$0.01
Unlocked PAP2T-NA SIP VOIP Phone Adapter 2 Port Internet Phone EU Adapter   D5G7 pictureGrandstream DP750 DECT VoIP Base Station Black
$48.11
Grandstream DP750 DECT VoIP Base Station Black picture*Original*Cisco AS54-DFC-108NP VOIP Module for AS5350/AS5400
$45.0
*Original*Cisco AS54-DFC-108NP VOIP Module for AS5350/AS5400 pictureGrandstream GXP-2000 VOIP Internet Business Phone IP line Speaker
$44.94
Grandstream GXP-2000 VOIP Internet Business Phone IP line Speaker   picture


Discussions

No Discussions have been posted on this vulnerability.